# $Revision: 1.21 $, $Date: 2001/05/18 22:00:25 $
Summary:	converts and manipulates GIFs
Summary(de):	konvertiert und manipuliert GIFs 
Summary(fr):	converti et manipule des GIFs
Summary(pl):	Program do konwertowania i manipulacji plikami w formacie GIF
Summary(tr):	GIF dosyalarn baka biimlere evirir
Name:		giftrans
Version:	1.12.2
Release:	9
License:	BSD
Group:		Applications/Graphics
Group(de):	Applikationen/Grafik
Group(pl):	Aplikacje/Grafika
Source0:	ftp://ftp.rz.uni-karlsruhe.de/pub/net/www/tools/%{name}-%{version}.tar.gz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program can convert and manipulate GIF images from the command
line. It is most useful for making a color transparent for web sites.

%description -l de
Dieses Programm kann GIF-Bilder aus der Befehlszeile konvertieren und
manipulieren. Besonders praktisch ist es, um eine Farbe fr Web-Seiten
transparent zu machen.

%description -l fr
Ce programme convertit et manipule des images GIF  partir de la ligne
de commande. Il est surtout utilis pour crer une couleur
transparente pour les sites web.

%description -l pl
Program do konwertowania i manipulacji plikami w formacie GIF.
Szczeglnie uyteczny do robienia kolorowych witryn WWW.

%description -l tr
Bu program, GIF biimindeki resim dosyalarn baka biimlere evirir.
En yaygn kullanm alanlarndan biri, web siteleri iin resimleri
saydam hale getirmektir.

%prep
%setup -q

%build
%{__cc} -Dvoidd=void %{rpmcflags} -o giftrans giftrans.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install giftrans $RPM_BUILD_ROOT%{_bindir}
install giftrans.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: giftrans.spec,v $
Revision 1.21  2001/05/18 22:00:25  kloczek
- release 9.

Revision 1.20  2001/04/30 16:05:18  kloczek
- added using %%{rpmcflags} macro.

Revision 1.19  2001/01/25 20:03:23  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.18  2000/12/23 00:48:44  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.17  2000/11/25 03:08:27  kloczek
- release 8: added using new rpm automation.

Revision 1.16  2000/05/18 23:29:23  kloczek
- spec adapterized.

Revision 1.15  2000/04/01 11:14:31  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.13  1999/08/05 14:16:54  wiget
- added %%defattr macro

Revision 1.12  1999/07/15 21:23:53  kloczek
- two typos.

Revision 1.11  1999/07/15 20:53:15  kloczek
- fix: use %%{_bindir} and %%{_mandir} on making directories in %install

Revision 1.10  1999/07/15 20:42:53  kloczek
- revision up to 5,
- cosmetic changes.

Revision 1.9  1999/07/12 23:05:57  kloczek

- added using CVS keywords in %changelog (for automating them).

* Wed Feb 17 1999 Micha Kuratczyk <kurkens@polbox.com>
  [1.12.2-4]
- added Group(pl)
- added gzipping man page

* Tue Nov 17 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.12.2-3]
- major changes.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- udpated version

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
